Support Minecraft Forge for 1.15.2

Published by Goldorion on Thu, 12/19/2019 - 03:02
Upvotes: 24
Issue description

Hi,

Minecraft Forge for 1.15.2 is out ! So can you add the 1.15 to the next version please ?

https://files.minecraftforge.net/

Issue comments

We are already working on it, but keep in mind we won't be releasing it until there is a remotely stable version of Minecraft Forge for 1.15.x which it currently is not.

  • Added base support for Minecraft 1.15.1

This does not sound like full support. No mod elements are supported yet, only mod base (like settings, actually getting the test client to run, ...)

I have explained why in the latest post. There are no mappings for 1.15 yet and we are waiting for them.

Until there are mappings for 1.15.x that are usable at least a bit, we will wait.

I answered this above. If mappings change, it is almost like we have to make update for new version, right now most functions look like func_fg204948 and similar.

I think we should skip the 1.15 version because it mostly just adds bees.

We need to wait for 1.16 the nether update because it is bigger

1.15 has only add bees, but they have fix a lot of bug (I think they have fix about 700 or 800 bugs.), and make a lot of stability and other improvements.

i think one MCreator for all versions can be good, People can choose the version they want for whatever reason, like if they want their mods only 1.13 or 1.15 for whatever reason

dope. updating my mods to 1.15 is something ive been looking forward to doing for a while

 



Donate to MCreator

By donating to developers you can speed up development, as with more resources, we can dedicate more time to MCreator. It is a free project made by developers working on it in their free time.